        " 9 "" "" ""

NAME
destructor - Declares a destructor for the enclosing class

SYNOPSIS
destructor ::=
  (purpose?, description?, requires?, effects?, postconditions?, returns?, throws?, complexity?, notes?, rationale?)

DESCRIPTION

General documentation on functions in BoostBook is provided in the function element documentation.

ATTRIBUTES
Name | Type | Value | Purpose
last-revision | #IMPLIED | CDATA | Set to $Date: 2009-10-10 10:53:46 -0400 (Sat, 10 Oct 2009) $ to keep "last revised" information in sync with CVS changes
specifiers | #IMPLIED | CDATA | The specifiers for this function, e.g., inline, static, etc.
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes